Skip to main content

Bulk enable or disable property configurations

PUThttps://api.propexo.com/v1/admin/integrations/:integration_id/properties/batch

Updates the enabled flag for many property configuration records for an integration. This is a batch form of updating a single property configuration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

integration_id stringrequired

The Propexo unique identifier for the integration

Request​

This endpoint expects an object.

    property_configuration_idsstring[]required

    Property configuration IDs (enabled_properties) to update; at least one and at most 1000.

    Possible values: >= 1, <= 1000

    enabledbooleanrequired

    Whether the listed properties should be enabled for syncing.

Response​

Successful response

    successbooleanrequired

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/admin/integrations/:integration_id/properties/batch
curl -X PUT https://api.propexo.com/v1/admin/integrations/:integration_id/properties/batch \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"property_configuration_ids": [
"string"
],
"enabled": true
}'
200 Successful response
{
"success": true
}